% Get optimal feeding profile simulated in fall project
%% Case 1
% filename_feeding = 'C:\Code\Matlab\Master\Spring\Parameter_estimation\Lab\optimal_feeding_profile_CSTR.m';
filename_feeding = 'feed_profile_CDW_experiment.xlsx';

Table_feeding = readtable(filename_feeding);
% disp(Table_feeding)
% Extract relevant data
time = Table_feeding.time;
feed = Table_feeding.Fin;

T_feeding = table(time, feed);

Values_feed = table2struct(T_feeding, "ToScalar", true);

save('Values_feed.mat', 'Values_feed')

% Check data
stairs(time,feed)
xlabel('t [h]')
ylabel('L/h')
title('Feeding profile')