% Get data
addpath('C:\Code\Matlab\Master\Spring')
data = importdata("MHE_publications.txt");

publicationYears = data.data(:,1);
numberPublications = data.data(:,2);

% Plot
color = colorHex();

clf;

 set(0, 'DefaultTextFontName', 'Computer Modern',...
     'DefaultTextFontSize', 10,...
     'DefaultAxesFontName', 'Computer Modern',...
     'DefaultAxesFontSize', 10,...
     'DefaultLineLineWidth', 1.2)

%set(gcf,'Position',[450 300 650 580])

bar(publicationYears, numberPublications, 'FaceColor', color.p, 'EdgeColor', color.b )
xlabel('Publication Year')
ylabel('Number of Publications')
title('Publications on Moving Horizon Estimation ')