function [x, d] = sortResultsMHE_DYCOPS(results, MHEmodel, MHEprops)
    
    N = MHEprops.N;

    intPolDeg = MHEprops.d;
    
    nx = length(MHEmodel.x);
    
    xvec = results(1:nx*(N+1));
    x = reshape(xvec,[nx,N+1]); 
    
    dvec = results(nx*(N+1)+1:nx*(N+1)+(N*nx));
    d = reshape(dvec,[nx,N]);    

end